#include <stdio.h>
#include <stdlib.h>

#include <glib.h>
#include <libxml/uri.h>

#include <utillib.h>

void usage(char *name);

int main(int argc, char *argv[])
{
	GString *item;
	xmlURIPtr url;
	int fd;

	if (argc < 2)
	{
		usage(argv[0]);
		return 1;
	}

	url = xmlParseURI(argv[1]);
	if (url == NULL)
	{
		printf("Invalid URL: %s\n", argv[1]);
		return 1;
	}

	printf("=====================================================\n");
	printf("scheme = %s\n", url->scheme);
	printf("opaque = %s\n", url->opaque);
	printf("authority = %s\n", url->authority);
	printf("server = %s\n", url->server);
	printf("user = %s\n", url->user);
	printf("port = %i\n", url->port);
	printf("path = %s\n", url->path);
	printf("query = %s\n", url->query);
	printf("fragment = %s\n", url->fragment);
	printf("cleanup = %i\n", url->cleanup);
	printf("=====================================================\n");

	fd = dm_client_local_connect(argv[0]);
	if (fd < 0)
	{
		printf("Can't connect to the daemon\n");
		return 1;
	}

    item = dm_command_get_new (1, argv[1]);
    dm_command_get (item, fd);

	return 0;
}

void usage(char *name)
{
	printf("Usage: %s url\n\n", name);
}
