#ifndef __GDOWNMAN_H__
#define __GDOWNMAN_H__

#include <glib-object.h>

#include "servers.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define GDOWNMAN(obj)           G_TYPE_CHECK_INSTANCE_CAST (obj, gdownman_get_type (), Gdownman)
#define GDOWNMAN_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST (klass, gdownman_get_type (), GdownmanClass)
#define IS_GDOWNMAN(obj)        G_TYPE_CHECK_INSTANCE_TYPE (obj, gdownman_get_type ())


typedef struct _Gdownman       Gdownman;
typedef struct _GdownmanClass  GdownmanClass;

struct _Gdownman
{
    GObject object;

    /*< private >*/

    GtkWidget* app;
    GnomeProgram *gnome_program;
    GnomeClient* gnome_client;

    GtkWidget *toolbar;
    GtkWidget *statusbar;

    GtkWidget *notebook;
    int page_count;

    gboolean connected;
    GIOChannel *local_channel;
    int fd;

    guint input_tag;

    GHashTable *projects;
    GHashTable *mimetype_cache;
    GnomeIconTheme *icon_theme;

    /* configuration */
    GConfClient *gconfclient;

    /* dialogs */
    GtkWidget *project_properties;
    DownloadProperties *download_properties;
    Servers *servers;
};

struct _GdownmanClass
{
    GObjectClass parent_class;
};

GType           gdownman_get_type       (void);
Gdownman*       gdownman_new            (int argc, char *argv[]);

void    gdownmand_delete        (Gdownman *gdownman);

void    gdownman_ui_build       (Gdownman *gdownman);

void    gdownman_ui_show        (Gdownman *gdownman);

void    gdownman_connect_local  (Gdownman *gdownman);

void    gdownman_send           (Gdownman *gdownman, char *data);

void    gdownman_download_properties    (GtkWidget *caller, gpointer data);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GDOWNMAN_H__ */
