#ifndef __NEW_PROJECT_H__
#define __NEW_PROJECT_H__

#include <glib-object.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define NEW_PROJECT(obj)           G_TYPE_CHECK_INSTANCE_CAST (obj, new_project_get_type (), NewProject)
#define NEW_PROJECT_CLASS(klass)   G_TYPE_CHECK_CLASS_CAST (klass, new_project_get_type (), NewProjectClass)
#define IS_NEW_PROJECT(obj)        G_TYPE_CHECK_INSTANCE_TYPE (obj, new_project_get_type ())


typedef struct _NewProject        NewProject;
typedef struct _NewProjectClass   NewProjectClass;

struct _NewProject
{
    GObject object;

    /*< private >*/
    /* The main new project dialog */
    GtkWidget *dialog;
    GtkWidget *name_entry;
    GtkWidget *download_manually;

    /* The new project options dialog */
    GtkWidget *dialog_options;
    GtkWidget *default_path;
    GtkWidget *path_entry;
    GtkWidget *speedlimit;
    GtkWidget *speedlimit_count;
    GtkWidget *speedlimit_count_label;

    /* Settings */
    guint fd;
};

struct _NewProjectClass
{
    GObjectClass parent_class;
};

GType           new_project_get_type        (void);
NewProject*     new_project_new             (guint fd);

void            new_project_start           (NewProject *newproject);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __NEW_PROJECT_H__ */
